Name:          libyang
Version:       3.7.8
Release:       1mamba
Summary:       YANG data modeling language library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/CESNET/libyang
Source:        https://github.com/CESNET/libyang.git/v%{version}/libyang-%{version}.tar.bz2
License:       BSD-3-Clause
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libpcre2-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
Requires:      %{name}-tools = %{?epoch:%epoch:}%{version}-%{release}

%description
YANG data modeling language library.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%package tools
Group:         Applications/Databases
Summary:       Utility applications for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description tools
This package contains utility applications for %{name}.


%prep
%setup -q

%build
%cmake
%cmake_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%cmake_install

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"


%files
%defattr(-,root,root)
%{_libdir}/libyang.so.*
%doc LICENSE

%files devel
%defattr(-,root,root)
%dir %{_includedir}/libyang
%{_includedir}/libyang/*.h
%{_libdir}/libyang.so
%{_libdir}/pkgconfig/libyang.pc
%doc README.md

%files tools
%defattr(-,root,root)
%{_bindir}/yanglint
%{_bindir}/yangre
%dir %{_datadir}/yang
%dir %{_datadir}/yang/modules
%dir %{_datadir}/yang/modules/libyang
%{_datadir}/yang/modules/libyang/*.yang
%{_mandir}/man1/yanglint.1*
%{_mandir}/man1/yangre.1*

%changelog
* Fri Jan 10 2025 Automatic Build System <autodist@openmamba.org> 3.7.8-1mamba
- automatic version update by autodist

* Mon Sep 16 2024 Automatic Build System <autodist@openmamba.org> 3.4.2-1mamba
- automatic version update by autodist

* Sat Jun 29 2024 Automatic Build System <autodist@openmamba.org> 3.1.0-1mamba
- automatic version update by autodist

* Thu May 16 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2.8-1mamba
- package created using the webbuild interface
